import { JWK } from 'jose';
import { JsonObject } from '@backstage/types';
export type KeyStore = {
    addKey(key: KeyPayload): Promise<any>;
    listKeys(): Promise<{
        keys: KeyPayload[];
    }>;
};
export type KeyPayload = {
    id: string;
    key: InternalKey;
    expiresAt: Date;
};
export type InternalKey = JsonObject & {
    kid: string;
};
export interface PluginKeySource {
    getPrivateSigningKey(): Promise<JWK>;
    listKeys(): Promise<{
        keys: KeyPayload[];
    }>;
}
